SearchByPackageKindImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class SearchByPackageKindImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.SearchCriteriaImpl
  - - tv.amwa.maj.union.impl.SearchByPackageKindImpl

- All Implemented Interfaces:
    Serializable, Cloneable, SearchByPackageKind, SearchCriteria

      public class SearchByPackageKindImpl
      extends SearchCriteriaImpl
      implements SearchByPackageKind, Serializable, Cloneable

  Implementaiton of a earch criteria for matching packages defined by a kind of package.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchByPackageKindImpl(PackageKind packagekind)` Create a search criteria defined by package kind.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchByPackageKindImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `PackageKind` | `getKind()` Returns the kind of package of the search criteria.
    `int` | `hashCode()`
    `void` | `setKind(PackageKind kind)` Sets the kind of package of the search criteria.
    `String` | `toString()` Create a pseudo-XML representation of this search by package kind criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.SearchCriteriaImpl

      `getSearchTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Constructor Detail

    - #### SearchByPackageKindImpl

          public SearchByPackageKindImpl(PackageKind packagekind)

      Create a search criteria defined by package kind.

      Parameters:
        `packagekind` - Kind of package to search for.
      Throws:
        `NullPointerException` - The given package kind is `null`.

  - ### Method Detail

    - #### getKind

          public PackageKind getKind()

      Description copied from interface: `SearchByPackageKind`

      Returns the kind of package of the search criteria.

      Specified by:
        `getKind` in interface `SearchByPackageKind`
      Returns:
        Kind of package of the search criteria.

    - #### setKind

          public void setKind(PackageKind kind)
                       throws NullPointerException

      Description copied from interface: `SearchByPackageKind`

      Sets the kind of package of the search criteria.

      Specified by:
        `setKind` in interface `SearchByPackageKind`
      Parameters:
        `kind` - Kind of package of the search criteria.
      Throws:
        `NullPointerException` - The given package kind is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Create a pseudo-XML representation of this search by package kind criteria. No XML schema or DTD defines this element. For example:

           <SearchByPackageKind kind="TapePackage"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        XML representation of this search by package kind criteria.

    - #### clone

          public SearchByPackageKindImpl clone()
                                        throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.